Dozens of licenses and flickr review requests being added by UW to some uploads
Closed, ResolvedPublic

Description

Author: darwin

Description:
Please check all uploads done using UW in the following list:

http://commons.wikimedia.org/wiki/Special:Contributions/Sujoy

Besides apparently adding all licenses available in UW to the images, it added as well dozens of Flickr review requests. I've been noticing very occasionally this kind of occurrence in the UW, but I've never seen so many together and with so many licenses and flickreview marks.

Example:
http://commons.wikimedia.org/w/index.php?title=File:Upload_by_sujoy_bahirgachi_(23).jpg&oldid=56932978

Commons thread about this problem at the Village Pump:
http://commons.wikimedia.org/wiki/Commons:Village_pump#UploadWizard_gone_mad.3F


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz29994.
bzimport created this task.Via LegacyJul 21 2011, 6:34 AM
Rillke added a comment.Via ConduitJul 21 2011, 8:52 AM

That's because Upload Wizard is misconfigured. But nobody cared about my post in

http://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2011/06#Upload_wizard

I wrote: "It is also mis-configured: You can select all licenses if you state that it isn't your own work, which a user did and then asked on help-desk what he should use for media-wiki-screenshot. It took me about 30 min to fix his approximately 100 uploads"

Furthermore there is Bug 29346 , which causes to add flickr-review templates.

The issue is known but nobody resolves it.

Rillke added a comment.Via ConduitJul 21 2011, 10:26 AM

mw.UploadWizard.config.licensesThirdParty.type="or" works perfectly as far as I can see. (Injected with firebug and tested to upload).

bzimport added a comment.Via ConduitJul 21 2011, 4:07 PM

neilk wrote:

I'm trying to get a fix deployed ASAP. I'm sorry this is causing so much pain for you all.

In the near term I have to work on some other things but I am pushing your priorities to the top of the list, actually above what my managers want me to be doing. However the bottleneck right now is that I just haven't had time to code this up.

Rillke added a comment.Via ConduitJul 22 2011, 8:52 AM

Only to prevent this bug from being closed because:

"[...] Because of the possibility of multi-licensing, we have to use checkboxes here, and allow for some degree of multi-licensing. [...]" Eloquence on http://commons.wikimedia.org/wiki/Commons:Village_pump#UploadWizard_gone_mad.3F

Multilicensing of "not own work" is nonsense. The options almost always exclude each other.

For example:

  • If we have Flickr-uploads, we only have to provide one option.
  • For US-Gov, dual licensing makes no sense
  • cc-zero + cc-by makes no sense
  • cc-by + cc-by-sa makes no sense
  • pd-old + cc makes no sense
  • fal (art libre) + cc-by makes no sense

There are only a few combinations options making sense, but it is soooo unrealistic for "not own work" that it is used. (And I have never seen such a case). But there is still the possibility to add the license afterward on the file-description page, if required.

Honestly spoken, I never saw a file *correctly* multilicensed uploaded with upload wizard. More often it was an indicator for copyright violations or just "not knowing" about licenses.

bzimport added a comment.Via ConduitSep 22 2011, 1:39 AM

neilk wrote:

Okay, just to touch this bug again; when I promised a fix, I thought we were talking about the bug which was resolved in bug 30237, whereby multiple licenses were added without user action, like the template loop bugs.

But this bug is more like a request for a change in policy, to not allow multilicensing, on the theory that people out there just can't do it right.

I am aware that some license combinations make no sense. In fact, when I was developing this, I even tried to add features that would stop people from combining incompatible licenses. But this is pretty hard and I was told to give up. They may be *logically* incompatible to any sane human, but that doesn't mean they are *legally* incompatible.

But, back to your originally complaint. I think we should be open to changing it to not allow multilicensing, but I think you need to build some consensus on Commons first. The discussion you pointed to is now archived here at:

http://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2011/07#UploadWizard_gone_mad.3F

I see no consensus there on changing the wizard to not allow third party multilicensing -- people are discussing a number of issues. I encourage you to bring it up again on the Village Pump.

Downgrading to enhancement.

bzimport added a comment.Via ConduitNov 17 2011, 7:43 PM

neilk wrote:

SInce we introduced custom wikitext licenses, we've switched to radio buttons. So it's less easy to multilicense 'accidentally'.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:27 AM
Gilles moved this task to Done on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:20 AM

Add Comment